[QGIS-Developer] Issues installing on ubuntu 19.10

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

[QGIS-Developer] Issues installing on ubuntu 19.10

Tim Sutton-6
Hi All

Trying to follow the instructions to install QGIS 3.10 from package and I am getting the error below. Probably I am doing something wrong, can someone enlighten me?

Thanks!

Regards

Tim

timlinux@timbuntu:~$ sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable
 Unstable releases of Ubuntu GIS packages. These releases are more bleeding edge and while generally they should work well, they dont receive the same amount of quality assurance as our stable releases do.
 More info: https://launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable
Press [ENTER] to continue or Ctrl-c to cancel adding it.

Get:1 http://security.ubuntu.com/ubuntu eoan-security InRelease [97,5 kB]
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 http://pt.archive.ubuntu.com/ubuntu eoan InRelease                                                            
Hit:4 http://pt.archive.ubuntu.com/ubuntu eoan-updates InRelease                                                    
Hit:5 http://pt.archive.ubuntu.com/ubuntu eoan-backports InRelease                
Hit:6 http://dl.google.com/linux/chrome/deb stable Release                        
Hit:7 http://ppa.launchpad.net/openrazer/stable/ubuntu eoan InRelease              
Hit:9 http://ppa.launchpad.net/polychromatic/stable/ubuntu eoan InRelease
Ign:10 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu eoan InRelease                                                                                        
Err:11 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu eoan Release                                                                                          
  404  Not Found [IP: 2001:67c:1560:8008::15 80]
Reading package lists... Done                                                                                                                                              
E: The repository 'http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu eoan Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.




--
------------------------------------------------------------------------------------------

Tim Sutton
Visit http://kartoza.com to find out about open source:
 * Desktop GIS programming services
 * Geospatial web development
* GIS Training
* Consulting Services
Skype: timlinux Irc: timlinux on #qgis at freenode.net
Tim is a member of the QGIS Project Steering Committee
-------------------------------------------------------------------------------------------
Kartoza is a merger between Linfiniti and Afrispatial

_______________________________________________
QGIS-Developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: Issues installing on ubuntu 19.10

Jürgen E. Fischer
Hi Tim,

On Sat, 16. Nov 2019 at 18:06:30 +0000, Tim Sutton wrote:
> Trying to follow the instructions to install QGIS 3.10 from package and I
> am getting the error below. Probably I am doing something wrong, can
> someone enlighten me?

I think ubuntugis only has packages for LTS releases - so not eoan.  Why don't
you use our repo?


Jürgen

--
Jürgen E. Fischer           norBIT GmbH             Tel. +49-4931-918175-31
Dipl.-Inf. (FH)             Rheinstraße 13          Fax. +49-4931-918175-50
Software Engineer           D-26506 Norden            https://www.norbit.de
QGIS release manager (PSC)  Germany                    IRC: jef on FreeNode

_______________________________________________
QGIS-Developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer

signature.asc (844 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Issues installing on ubuntu 19.10

Tim Sutton-6
Hi Juergen



On Nov 16 2019, at 7:54 pm, Jürgen E. Fischer <[hidden email]> wrote:
Hi Tim,

On Sat, 16. Nov 2019 at 18:06:30 +0000, Tim Sutton wrote:
Trying to follow the instructions to install QGIS 3.10 from package and I
am getting the error below. Probably I am doing something wrong, can
someone enlighten me?

I think ubuntugis only has packages for LTS releases - so not eoan. Why don't
you use our repo?


Ah thanks - I was following the notes on the ubuntu section of http://download.qgis.org
"For Ubuntu we also have extra packages in a separate repository that are based on ubuntugis, which holds more uptodate versions of other GIS packages than Ubuntu itself. If you want those you also need to include ubuntugis-unstable ppa in your /etc/apt/sources.list file (see ubuntugis documentation)."

.... so if I understand that correctly I needed to add ubuntugis-unstable?

Regards

Tim




Jürgen

--
Jürgen E. Fischer norBIT GmbH Tel. +49-4931-918175-31
Dipl.-Inf. (FH) Rheinstraße 13 Fax. +49-4931-918175-50
Software Engineer D-26506 Norden https://www.norbit.de
QGIS release manager (PSC) Germany IRC: jef on FreeNode
_______________________________________________
QGIS-Developer mailing list
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Sent from Mailspring
_______________________________________________
QGIS-Developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: Issues installing on ubuntu 19.10

Jürgen E. Fischer
Hi Tim,

On Sat, 16. Nov 2019 at 20:07:24 +0000, Tim Sutton wrote:
> Ah thanks - I was following the notes on the ubuntu section of http://download.qgis.org 

Ok, eoan should be listed, but wasn't.  If it had been, it would not have had a
"yes" in the "Also available based on ubuntugis-unstable dependencies?"
column.


> "For Ubuntu we also have extra packages in a separate repository that are
> based on ubuntugis, which holds more uptodate versions of other GIS packages
> than Ubuntu itself. If you want those you also need to include
> ubuntugis-unstable ppa in your /etc/apt/sources.list file (see ubuntugis
> documentation)."

> .... so if I understand that correctly I needed to add ubuntugis-unstable?

The linked documentation says 'The Ubuntu GIS packages are only available for
the Ubuntu LTS releases which haven't gone end-of-life yet.'.  So only for
xenial and bionic.

For all others you can install from qgis.org/ubuntu (or /debian which is the
same repo.


Jürgen

--
Jürgen E. Fischer           norBIT GmbH             Tel. +49-4931-918175-31
Dipl.-Inf. (FH)             Rheinstraße 13          Fax. +49-4931-918175-50
Software Engineer           D-26506 Norden            https://www.norbit.de
QGIS release manager (PSC)  Germany                    IRC: jef on FreeNode

_______________________________________________
QGIS-Developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer

signature.asc (844 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Issues installing on ubuntu 19.10

Tim Sutton-6
Thanks Juergen - all working now -  though it is running against GDAL 2.4.2. I was nerdily hoping to get GDAL 3.x in the process :-p

Regards

Tim

QGIS version

3.10.0-A Coruña

QGIS code revision

6c816b4204

Compiled against Qt

5.12.4

Running against Qt

5.12.4

Compiled against GDAL/OGR

2.4.2

Running against GDAL/OGR

2.4.2

Compiled against GEOS

3.7.2-CAPI-1.11.2

Running against GEOS

3.7.2-CAPI-1.11.2 b55d2125

Compiled against SQLite

3.29.0

Running against SQLite

3.29.0

PostgreSQL Client Version

11.5 (Ubuntu 11.5-1)

SpatiaLite Version

4.3.0a

QWT Version

6.1.4

QScintilla2 Version

2.10.4

Compiled against PROJ

5.2.0

Running against PROJ

Rel. 5.2.0, September 15th, 2018

OS Version

Ubuntu 19.10

Active python plugins

Mergin;
db_manager;
MetaSearch;
processing



On Nov 16 2019, at 8:37 pm, Jürgen E. Fischer <[hidden email]> wrote:
Hi Tim,

On Sat, 16. Nov 2019 at 20:07:24 +0000, Tim Sutton wrote:
Ah thanks - I was following the notes on the ubuntu section of http://download.qgis.org

Ok, eoan should be listed, but wasn't. If it had been, it would not have had a
"yes" in the "Also available based on ubuntugis-unstable dependencies?"
column.


"For Ubuntu we also have extra packages in a separate repository that are
based on ubuntugis, which holds more uptodate versions of other GIS packages
than Ubuntu itself. If you want those you also need to include
ubuntugis-unstable ppa in your /etc/apt/sources.list file (see ubuntugis
documentation)."

.... so if I understand that correctly I needed to add ubuntugis-unstable?

The linked documentation says 'The Ubuntu GIS packages are only available for
the Ubuntu LTS releases which haven't gone end-of-life yet.'. So only for
xenial and bionic.

For all others you can install from qgis.org/ubuntu (or /debian which is the
same repo.


Jürgen

--
Jürgen E. Fischer norBIT GmbH Tel. +49-4931-918175-31
Dipl.-Inf. (FH) Rheinstraße 13 Fax. +49-4931-918175-50
Software Engineer D-26506 Norden https://www.norbit.de
QGIS release manager (PSC) Germany IRC: jef on FreeNode
_______________________________________________
QGIS-Developer mailing list
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Sent from Mailspring
_______________________________________________
QGIS-Developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: Issues installing on ubuntu 19.10

Jürgen E. Fischer
Hi Tim,

On Sat, 16. Nov 2019 at 20:54:23 +0000, Tim Sutton wrote:
> Thanks Juergen - all working now - though it is running against GDAL 2.4.2. I
> was nerdily hoping to get GDAL 3.x in the process :-p

Ubuntu (but also ubuntugis) usually depends on Debian (IOW on Bas Couwenberg's
work), when it comes to FOSSGIS:

On Sun, 10. Nov 2019 at 20:26:02 +0100, Sebastiaan Couwenberg wrote:

> The transition to GDAL 3 was blocked by the removal of the Python 2
> support as discussed in the transition bugreport (#939989). This took
> quite a bit of time to resolve due to an uncooperative maintainer, but
> there are no rdeps of python-gdal in unstable any more.
>
> In the meantime the GDAL 3 support in fiona was fixed upstream. vtk7 was
> also updated to use the embedded copy of PROJ.4 to fix the FTBFS with
> PROJ 6. OSSIM upstream even ported it to use the GEOS C API to fix the
> build failure with GEOS 3.8.0. Unfortunately OTB still FTBFS due to
> recent changes in ITK4. It's still not in testing, so not a big issue.
>
> Hopefully we'll be able to start the transition soon, but I fear that
> the python3.8 transition is going to cause more delays (as it will cause
> many autopkgtest failure until everything is rebuilt for python3.8 as well).

Jürgen

--
Jürgen E. Fischer           norBIT GmbH             Tel. +49-4931-918175-31
Dipl.-Inf. (FH)             Rheinstraße 13          Fax. +49-4931-918175-50
Software Engineer           D-26506 Norden            https://www.norbit.de
QGIS release manager (PSC)  Germany                    IRC: jef on FreeNode

_______________________________________________
QGIS-Developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer

signature.asc (844 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Issues installing on ubuntu 19.10

Tim Sutton-6
Hi

Thanks for the info Jürgen ...no worries I will wait for now.



Regards

Tim

Sent from Mailspring, the best free email app for work
On Nov 16 2019, at 9:06 pm, Jürgen E. Fischer <[hidden email]> wrote:
Hi Tim,

On Sat, 16. Nov 2019 at 20:54:23 +0000, Tim Sutton wrote:
Thanks Juergen - all working now - though it is running against GDAL 2.4.2. I
was nerdily hoping to get GDAL 3.x in the process :-p

Ubuntu (but also ubuntugis) usually depends on Debian (IOW on Bas Couwenberg's
work), when it comes to FOSSGIS:

On Sun, 10. Nov 2019 at 20:26:02 +0100, Sebastiaan Couwenberg wrote:
The transition to GDAL 3 was blocked by the removal of the Python 2
support as discussed in the transition bugreport (#939989). This took
quite a bit of time to resolve due to an uncooperative maintainer, but
there are no rdeps of python-gdal in unstable any more.

In the meantime the GDAL 3 support in fiona was fixed upstream. vtk7 was
also updated to use the embedded copy of PROJ.4 to fix the FTBFS with
PROJ 6. OSSIM upstream even ported it to use the GEOS C API to fix the
build failure with GEOS 3.8.0. Unfortunately OTB still FTBFS due to
recent changes in ITK4. It's still not in testing, so not a big issue.

Hopefully we'll be able to start the transition soon, but I fear that
the python3.8 transition is going to cause more delays (as it will cause
many autopkgtest failure until everything is rebuilt for python3.8 as well).


Jürgen

--
Jürgen E. Fischer norBIT GmbH Tel. +49-4931-918175-31
Dipl.-Inf. (FH) Rheinstraße 13 Fax. +49-4931-918175-50
Software Engineer D-26506 Norden https://www.norbit.de
QGIS release manager (PSC) Germany IRC: jef on FreeNode
_______________________________________________
QGIS-Developer mailing list
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Sent from Mailspring
_______________________________________________
QGIS-Developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer